Callisto4Bootloader: board/clock_config.c File Reference

Callisto4Bootloader

Functions | Variables
clock_config.c File Reference
`#include "clock_config.h"`
`#include "fsl_iomuxc.h"`

Go to the source code of this file.

## Functions

void | BOARD_InitBootClocks (void)
| This function executes default configuration of clocks. More...
void | BOARD_BootClockRUN (void)
| This function executes configuration of clocks. More...

## Variables

uint32_t | SystemCoreClock
const clock_arm_pll_config_t | armPllConfig_BOARD_BootClockRUN
| Arm PLL set for BOARD_BootClockRUN configuration. More...
const clock_sys_pll_config_t | sysPllConfig_BOARD_BootClockRUN
| Sys PLL for BOARD_BootClockRUN configuration. More...
const clock_usb_pll_config_t | usb1PllConfig_BOARD_BootClockRUN
| Usb1 PLL set for BOARD_BootClockRUN configuration. More...
const clock_video_pll_config_t | videoPllConfig_BOARD_BootClockRUN
| Video PLL set for BOARD_BootClockRUN configuration. More...

## Function Documentation

## ◆ BOARD_BootClockRUN()

void BOARD_BootClockRUN | ( | void |  | ) |

This function executes configuration of clocks.

Definition at line 164 of file clock_config.c.

Referenced by BOARD_InitBootClocks().

## ◆ BOARD_InitBootClocks()

void BOARD_InitBootClocks | ( | void |  | ) |

This function executes default configuration of clocks.

Definition at line 39 of file clock_config.c.

References BOARD_BootClockRUN().

## Variable Documentation

## ◆ armPllConfig_BOARD_BootClockRUN

const clock_arm_pll_config_t armPllConfig_BOARD_BootClockRUN

Initial value:
=
{
.loopDivider = 100,
.src = 0,
}

Arm PLL set for BOARD_BootClockRUN configuration.

Definition at line 137 of file clock_config.c.

## ◆ sysPllConfig_BOARD_BootClockRUN

const clock_sys_pll_config_t sysPllConfig_BOARD_BootClockRUN

Initial value:
=
{
.loopDivider = 1,
.numerator = 0,
.denominator = 1,
.src = 0,
}

Sys PLL for BOARD_BootClockRUN configuration.

Definition at line 142 of file clock_config.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock

Definition at line 65 of file system_MIMXRT1062.c.

## ◆ usb1PllConfig_BOARD_BootClockRUN

const clock_usb_pll_config_t usb1PllConfig_BOARD_BootClockRUN

Initial value:
=
{
.loopDivider = 0,
.src = 0,
}

Usb1 PLL set for BOARD_BootClockRUN configuration.

Definition at line 149 of file clock_config.c.

## ◆ videoPllConfig_BOARD_BootClockRUN

const clock_video_pll_config_t videoPllConfig_BOARD_BootClockRUN

Initial value:
=
{
.loopDivider = 31,
.postDivider = 8,
.numerator = 0,
.denominator = 1,
.src = 0,
}

Video PLL set for BOARD_BootClockRUN configuration.

Definition at line 154 of file clock_config.c.